# 插件名称

## 插件作用

请在这里介绍一下插件的作用。

## 插件使用简介

### config.json 配置解释
```json
{
    /**
     * 自定义横纵轴名称
     */
    "dataRegions": [
    {
        "name": "自定义数据1"
    },
    {
        "name": "自定义数据2"
    }
],
    /**
     * 自定义图形属性
     * 两种方式：
     * 1. 可选配置。通过 settings 指定，有 color、size、symbol 三种可选配置，取 BI 图表默认实现
     * 2. 可配配置。通过 settings 指定，有 Checkbox、RadioGroup、Segment、Select、ColorPicker、Input 六种基本组件
     */
    "attrRegions": [
    {
        "name": "颜色1", // 属性名称
        "multiFields": false, // 是否可以拖入多个字段
        "settings": "color"
    },
    {
        "name": "大小1",
        "multiFields": true,
        "settings": "size"
    },
    {
        "name": "形状1",
        "multiFields": false,
        "settings": "symbol"
    },
    {
        "name": "自定选项",
        "multiFields": false,
        "settings": [
            {
                "name": "Checkbox",
                "type": "Checkbox",
                "defaultValue": ["2", "3"],
                "items": [
                    {
                        "text": "选项1",
                        "value": "1"
                    },
                    {
                        "text": "选项2",
                        "value": "2"
                    },
                    {
                        "text": "选项2",
                        "value": "3"
                    }
                ]
            },
            {
                "name": "RadioGroup",
                "type": "RadioGroup",
                "defaultValue": "2",
                "items": [
                    {
                        "text": "选项1",
                        "value": "1"
                    },
                    {
                        "text": "选项2",
                        "value": "2"
                    }
                ]
            },
            {
                "name": "Segment",
                "type": "Segment",
                "defaultValue": "2",
                "items": [
                    {
                        "text": "选项1",
                        "value": "1"
                    },
                    {
                        "text": "选项2",
                        "value": "2"
                    }
                ]
            },
            {
                "name": "Select",
                "type": "Select",
                "defaultValue": "1",
                "items": [
                    {
                        "text": "选项1",
                        "value": "1"
                    },
                    {
                        "text": "选项2",
                        "value": "2"
                    }
                ]
            },
            {
                "name": "ColorPicker",
                "type": "ColorPicker",
                "defaultValue": "#ffffff"
            },
            {
                "name": "Input",
                "type": "Input",
                "defaultValue": "test"
            }
        ]
    },
    {
        "name": "属性1属性1属性1",
        "multiFields": true
    },
    {
        "name": "属性2",
        "multiFields": false
    }
],
    /**
     * 自定义组件样式
     * 方式同自定义图形属性中的可配配置
     */
    "chartStyles": [
    {
        "name": "自定义1",
        "settings": [
            {
                "name": "RadioGroup",
                "type": "RadioGroup",
                "defaultValue": "2",
                "items": [
                    {
                        "text": "选项1",
                        "value": "1"
                    },
                  {
                    "text": "选项2",
                    "value": "2"
                  }
                ]
            }
        ]
    }
    ]
}
```
